<?php

/**
 * Component :: Pager
 *
 * pager.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $30.01.2007$
 */

class PagerComponent extends Object {
	
	var $per_page = 15;
	
	function getPagerData($numHits, $limit, $page) 
	{ 
		$numHits  = (int) $numHits; 
        $limit    = max((int) $limit, 1); 
        $page     = (int) $page; 
        $numPages = ceil($numHits / $limit); 

        $page = max($page, 1); 
        $page = min($page, $numPages); 
		
        $offset = ($page - 1) * $limit; 
		if($offset < 0)
			$offset = 0;
        
        $ret = new stdClass; 

        $ret->offset   = $offset; 
        $ret->limit    = $limit; 
        $ret->numPages = $numPages; 
        $ret->page     = $page;
       	$ret->per_page = $this->per_page; 

		return $ret; 
	}
}
?>