<?php

/**
 * Controller :: Permissions
 *
 * permissions_controller.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $30.01.2007$
 */

class PermissionsController extends AppController
{
    var $name = 'Permissions';
	
	function admin_index($page = 1) 
	{
		$this->Auth->checkPermissions();	
		$data = $this->requestAction('/admin/groups/get_groups/');
		$paging = $this->Pager->getPagerData(count($data), $this->Pager->per_page, $page);
		
		$this->set('category','permissions');
		$this->set('data', $data);
		$this->set('page', $paging->page);
		$this->set('numPages', $paging->numPages);
		
		$this->_sessionDel();
		
		$this->pageTitle = "Drumb - PERMISSIONS";
		$this->render('admin', 'admin');
	}
	
	function admin_edit($id = null)
	{
		$this->Auth->checkPermissions();
		if(($this->requestAction('/admin/groups/is_group/'.$id.'/')) == false || $id == USERS || $id == ADMIN) 
		{
			$this->redirect('/admin/permissions/');
			exit();
		}
		
		if(empty($_POST))
		{
			$this->_back('permissions');
			$data = $this->requestAction('/admin/group_permissions/'.$id.'/');
			
			foreach ($data as $permission)
				$permissons[] = $permission['GroupPermission']['dnb_permission_id'];

			@$this->set('data', $permissons);
			$this->set('id', $id);	
			$this->set('category','permissions');
			
			$this->_sessionDel();
			
			$this->pageTitle = "Drumb - PERMISSIONS";
			$this->render('edit', 'admin');
		}
	}
}

?>