<?php

/**
 * Model :: Articles
 *
 * articles.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.02.2007$
 */

class Article extends AppModel
{
    var $name = 'Article';
    var $tablePrefix = 'dnb_';
	
	 function table($offset = 1, $limit = 15, $filter = null) 
	{
		$sql = 'SELECT dnb_users.username, dnb_articles.id, dnb_articles.header, ';
		$sql .= 'dnb_articles.published, dnb_articles.comments, dnb_articles.publish_date, dnb_articles.popularity ';
		$sql .= 'FROM dnb_articles, dnb_users ';
		$sql .= 'WHERE dnb_users.id=dnb_articles.dnb_user_id ';
		if($filter != null)
			$sql .= "AND dnb_articles.header LIKE '%".$filter."%' ";
		$sql .= 'ORDER BY publish_date DESC LIMIT '.$offset.','.$limit.'';	
		return $this->query($sql);
	}
}

?>