<?php

/**
 * Model :: Post
 *
 * post.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.02.2007$
 */

class Post extends AppModel
{
    var $name = 'Post';
	var $tablePrefix = 'dnb_';
    var $validate = array(
      'body' => VALID_NOT_EMPTY,
      'subject' => VALID_NOT_EMPTY,
    );
    
	function table($id, $offset = 1, $limit = 15) 
	{
		$sql = 'SELECT '.PREFIX.'users.username, '.PREFIX.'users.name, '.PREFIX.'posts.id, '.PREFIX.'posts.subject, '.PREFIX.'posts.body, ';
		$sql .= ''.PREFIX.'posts.created, '.PREFIX.'posts.'.PREFIX.'topic_id ';
		$sql .= 'FROM   '.PREFIX.'posts, '.PREFIX.'users ';
		$sql .= 'WHERE  '.PREFIX.'users.id='.PREFIX.'posts.'.PREFIX.'user_id AND '.PREFIX.'posts.'.PREFIX.'topic_id = '.$id.' ';
		$sql .= 'ORDER BY id DESC LIMIT '.$offset.','.$limit.'';	
		return $this->query($sql);
	}
    
}

?>