<?php 
class AppController extends Controller 
{ 
	var $helpers = array('Html','javascript','Auth','Time','Cache');
	var $components = array('Auth','Pager','Filemanager');
	var $cookieName = 'userInformation';
	var $cookieKey = 'hj7lpeJSJhgdortu834882mslftenaROTMIJKL3';
	function __construct() 
	{ 
		parent::__construct();
		$this->set('css','');
		$this->set('js','');
		$this->set('chat','false');
		$this->set('filter','');
		$this->set('msg','');
		$this->set('msg_form','');
		$this->set('msg_inquiry','');
		$this->set('page', 1);
	} 
	
	function beforeRender() 
	{
		if($this->Session->read('msg')) $this->set('msg',$this->Session->read('msg'));
		if($this->Session->read('msg_form')) $this->set('msg_form',$this->Session->read('msg_form'));
		if($this->Session->read('msg_inquiry')) $this->set('msg_inquiry',$this->Session->read('msg_inquiry'));
		$this->Session->del('msg');
		$this->Session->del('msg_form');
		$this->Session->del('msg_inquiry');
	}
	
	function _sessionDel($parent=false) 
	{ 
		$this->Session->del('data');
		$this->Session->del('files');
		$this->Session->del('id');
		$this->Session->del('dir');
		$this->Session->del('redirect');
		$this->Session->del('perex');
		$this->Session->del('dest');
		if($parent) $this->Session->del('parent');
	} 
	
	function _back($page,$back=null) 
	{ 
		if(@$_SERVER['HTTP_REFERER']=='') $this->Session->write('back','/admin/'.$page.'/');
		elseif(@!strstr($_SERVER['HTTP_REFERER'],'edit') && @!strstr($_SERVER['HTTP_REFERER'],'add') && @!strstr($_SERVER['HTTP_REFERER'],'comments') && @!strstr($_SERVER['HTTP_REFERER'],'perex') && @!strstr($_SERVER['HTTP_REFERER'],'save')) $this->Session->write('back',strstr(@$_SERVER['HTTP_REFERER'],'/admin'));
		if($back !=null && $back !='' && @!strstr($_SERVER['HTTP_REFERER'],'add')) $this->Session->write('back',$back);
		$this->set('back',$this->Session->read('back'));
	} 
	
	function _processtext($text, $nr = 10) 
	{ 
		$mytext = explode(" ", trim($text));
		$newtext = array();
		foreach($mytext as $k => $txt) 
		{
			if(strlen($txt) > $nr && !strstr($txt, 'href')) 
			{ 
				$txt=wordwrap($txt, $nr, " ", 1);
			} 
			$newtext[] = $txt;
		} 
		return implode(" ", $newtext);
	}
	
	function _bb2html($text)
	{
		$bbcode = array("<", ">",
                "[b]", "[/b]", 
                "[u]", "[/u]", 
                "[i]", "[/i]",
                '[url="', "[/url]",
                "[mail=\"", "[/mail]",
                "[quote]", "[/quote]",
                '"]');
  		$htmlcode = array("&lt;", "&gt;", 
                "<b>", "</b>", 
                "<u>", "</u>", 
                "<i>", "</i>",
                '<a href="', "</a>",
                "<a href=\"mailto:", "</a>",
                '<span class="quote">', '</span>',
                '">');
 		 $newtext = str_replace($bbcode, $htmlcode, stripslashes($text));
	 	 $newtext = nl2br($newtext);
 		 return $newtext;
	}
	
	function _html2bb($text)
	{
		$bbcode = array("<", ">",
                "[b]", "[/b]", 
                "[u]", "[/u]", 
                "[i]", "[/i]",
                '[url="', "[/url]",
                "[mail=\"", "[/mail]",
                '"]');
  		$htmlcode = array("&lt;", "&gt;", 
                "<b>", "</b>", 
                "<u>", "</u>", 
                "<i>", "</i>",
                '<a href="', "</a>",
                "<a href=\"mailto:", "</a>",
                '">');
 		 $newtext = str_replace($htmlcode, $bbcode, stripslashes($text));
	 	 $newtext = strip_tags($newtext);
 		 return $newtext;
	}
	
     	function _getIp()
      	{
		if(isset($_SERVER ['HTTP_X_FORWARDED_FOR']))
		{
 			$ip = $_SERVER ['HTTP_X_FORWARDED_FOR'];
		}
		elseif(isset($_SERVER ['HTTP_VIA']))
		{
			$ip = $_SERVER ['HTTP_VIA'];
		}
		elseif(isset($_SERVER ['REMOTE_ADDR']))
		{
			$ip = $_SERVER ['REMOTE_ADDR'];
		}
		else
		{
			$ip = "NA" ;
		}
      		return $ip;
      	}
} 
?>
