<?php

/**
 * Controller :: ChatMessages
 *
 * chat_messages_controller.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.02.2007$
 */

class ChatMessagesController extends AppController
{
    var $name = 'ChatMessages';
    var $messages = 50;
    
    function admin_index() 
    {
    	$this->Auth->checkPermissions();
    	$this->set('category','');
    	$this->set('chat','true');		
		$this->pageTitle = "Drumb - ADMIN CHAT";
		$this->render('index', 'admin');
    }
    
	function admin_add() 
    {
    	$this->Auth->checkPermissions();
    	$_POST['message'] = strip_tags($_POST['message']);
      	$this->data['ChatMessage']['message'] = $_POST['message'];
      	$this->data['ChatMessage']['dnb_user_id'] = $_POST['id'];
	  	$this->ChatMessage->save($this->data);
      	$results = $this->ChatMessage->findAll(null, 'id', 'created desc');
      	
      	for($i = count($results) - 1; $i >= 0; $i--) 
      	{
      		if($i >= $this->messages)
      			$this->ChatMessage->del($results[$i]['ChatMessage']['id']);
      	}
  		exit();
    }
	
    function admin_view() 
    {
		$this->Auth->checkPermissions();
    	$this->set('data', $this->ChatMessage->messages());
    	$this->render('messages', 'clean');
    }    
}

?>