<?php

/**
 * Controller :: GroupPermissions
 *
 * group_permissions_controller.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.02.2007$
 */

class GroupPermissionsController extends AppController
{
    var $name = 'GroupPermissions';
    
	function admin_index($id = null) 
	{
		if(isset($this->params['requested']))
		{
			$this->Auth->checkPermissions();
			$data = $this->GroupPermission->findAll("dnb_group_id = '".$id."'", 'dnb_permission_id');
			return $data;	
		}
	}
	
	function admin_edit() 
	{
		if(!empty($_POST))
		{
			$this->GroupPermission->del($_POST['group_id']);
			
			if(isset($_POST['news'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => NEWS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => NEWS_CATEGORIES));
			}
			
			if(isset($_POST['articles'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => ARTICLES));
			
			if(isset($_POST['magazines'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => MAGAZINES));
			
			if(isset($_POST['routes'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => ROUTES));
			
			if(isset($_POST['pages'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => PAGES));
			
			if(isset($_POST['admin_chat'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => ADMIN_CHAT));
			
			if(isset($_POST['users_permissions'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => PERMISSIONS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => USERS_PERMISSIONS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => GROUPS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => GROUP_PERMISSIONS));
			}
			
			if(isset($_POST['photos'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => PHOTOS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => PHOTO_GALLERIES));
			}
			
			if(isset($_POST['forum'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => FORUM));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => TOPICS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => POSTS));
			}
			
			if(isset($_POST['competitions'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => COMPETITIONS));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => COMPETTION_ANSWER));
			}
			
			if(isset($_POST['banners'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => BANNERS));
			
			if(isset($_POST['inquiries'])) 
			{
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => INQUIRIES));
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => INQUIRY_ANSWERS));
			}
			
			if(isset($_POST['todo_list'])) 
				$this->GroupPermission->save(array('dnb_group_id' => $_POST['group_id'], 'dnb_permission_id' => TODO_LIST));
			
			
			$this->Session->write('msg','<p class="success">The group permissions were susccessfully changed!</p>');
			$this->redirect(strstr($_SERVER['HTTP_REFERER'], '/admin').'#msg/');
		}
	}
}

?>