<?php

/**
 * Model :: Comment
 *
 * comment.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.02.2007$
 */

class Comment extends AppModel
{
    var $name = 'Comment';
    var $tablePrefix = 'dnb_';
    var $validate = array(
      'body' => VALID_NOT_EMPTY,
      'subject' => VALID_NOT_EMPTY,
    );
    
	function table($offset = 1, $limit = 10, $category = 'board',  $filter = null, $id = null) 
	{
		$sql = 'SELECT dnb_users.username, dnb_users.sex, dnb_comments.id, dnb_comments.created, dnb_comments.subject, ';
		$sql .= 'dnb_comments.body, dnb_comments.dnb_user_id, dnb_comments.dnb_entry_id, dnb_comments.category FROM dnb_comments, dnb_users ';
		$sql .= 'WHERE dnb_comments.dnb_user_id=dnb_users.id ';
		
		if($category != null)
			$sql .= "AND dnb_comments.category='".$category."'";
		if($filter != null)
			$sql .= "AND dnb_comments.body LIKE '%".$filter."%' ";
		if($id != null)
			$sql .= "AND dnb_comments.dnb_entry_id='".$id."' ";
		
		$sql .= 'ORDER BY created DESC LIMIT '.$offset.','.$limit.'';
		return $this->query($sql);
	}
	
	function sendMsg($to = null, $subject = null, $message = null, $from = null)
    {
    	if($to == null || $subject == null || $message == null || $from == null)
    		return false;
    	$this->query("INSERT INTO dnb_messages (`id` ,`subject` ,`message` ,`created` ,`dnb_sender_id` ,`dnb_receiver_id` ,`message_state`, `delete_state` ) VALUES (NULL, '".$subject."', '".$message."', '".date('Y-m-d H:i:s')."', '".FATHER."', '".$to."', 'received', 'deleted_by_sender');");
    }
    
    function getUserById($id = null)
    {
    	$user = array_pop($this->query("SELECT email, id, notification, username FROM dnb_users WHERE id = '".$id."' LIMIT 1"));

    	if(!empty($user))
    		return $user;
    	else
    		return false;
    }
}

?>