<?php

/**
 * Model :: Page
 *
 * page.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $31.01.2007$
 */

class Page extends AppModel 
{
	var $name = 'Page';
	var $tablePrefix = 'dnb_';
	
	function search($filter) 
	{
		$data['News'] = $this->query("SELECT header, id, comments, popularity FROM dnb_news WHERE CURDATE() >= publish_date AND published = 'Y' AND header LIKE '%".$filter."%' ORDER BY id DESC");
		$data['Parties'] = $this->query("SELECT name, comments, popularity, id FROM dnb_parties WHERE published = 'Y' AND name LIKE '%".$filter."%' ORDER BY id DESC");
		$data['Photos'] = $this->query("SELECT header, comments, popularity, id FROM dnb_photo_galleries WHERE published = 'Y' AND CURDATE() >= publish_date AND header LIKE '%".$filter."%' ORDER BY id DESC");
		$data['Artists'] = $this->query("SELECT name, id, comments, popularity, url FROM dnb_artists WHERE published = 'Y' AND name LIKE '%".$filter."%' ORDER BY id DESC");
		$data['Media'] = $this->query("SELECT dnb_files.id, dnb_files.header, dnb_files.comments, dnb_files.popularity, dnb_files.dnb_file_category_id, dnb_file_categories.header FROM dnb_files, dnb_file_categories WHERE dnb_files.actived = 'Y' AND dnb_files.dnb_file_category_id = dnb_file_categories.id AND dnb_files.header LIKE '%".$filter."%' ORDER BY id DESC");
		
		return $data;
	}
}
?>