<?php

/**
 * Model :: TodoTask
 *
 * todo_task.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $03.04.2007$
 */

class TodoTask extends AppModel
{
    var $name = 'TodoTask';
    var $tablePrefix = 'dnb_';

    function getStatistics() 
    {
    	$data['News'] = array_pop($this->query("SELECT count(id) as count FROM dnb_news WHERE published = 'N'"));
    	$data['News'] = array_pop($data['News']);
    	
    	$data['Pages'] = array_pop($this->query("SELECT count(id) as count FROM dnb_pages WHERE published = 'N'"));
    	$data['Pages'] = array_pop($data['Pages']);
    	
    	$data['Users'] = array_pop($this->query("SELECT count(id) as count FROM dnb_users"));
    	$data['Users'] = array_pop($data['Users']);
    	
    	$data['Photos'] = array_pop($this->query("SELECT count(id) as count FROM dnb_photo_galleries WHERE published = 'N'"));
    	$data['Photos'] = array_pop($data['Photos']);
    	
    	$data['Competitions'] = array_pop($this->query("SELECT count(id) as count FROM dnb_competitions WHERE published = 'N'"));
    	$data['Competitions'] = array_pop($data['Competitions']);
 
    	$data['Inquiries'] = array_pop($this->query("SELECT count(id) as count FROM dnb_inquiries WHERE published = 'N'"));
    	$data['Inquiries'] = array_pop($data['Inquiries']);
    	
    	$data['Banners'] = array_pop($this->query("SELECT count(id) as count FROM dnb_banners WHERE actived = 'N'"));
    	$data['Banners'] = array_pop($data['Banners']);
    	
    	return $data;	
    }
    
    function table()
    {
    	$sql = 'SELECT dnb_users.username, dnb_todo_tasks.created, dnb_todo_tasks.task, dnb_todo_tasks.done, ';
		$sql .= 'dnb_todo_tasks.id, dnb_todo_tasks.dnb_user_id FROM dnb_todo_tasks, dnb_users ';
		$sql .= 'WHERE dnb_users.id=dnb_todo_tasks.dnb_user_id ORDER BY dnb_todo_tasks.done DESC,dnb_todo_tasks.created DESC';	
		return $this->query($sql);
    }
}

?>