<?php

/**
 * Helper :: Auth
 *
 * auth.php
 *
 * @version        $1.0$
 * @autor   	   $Peter Benicky$
 * @lastmodified   $06.02.2007$
 */

class AuthHelper extends Helper 
{
	var $helpers = array (
        'Session'
    );
	
    var $Session					= null;
	var $session_name 				= 'dnb_user';
	var $user_table_login      		= 'username';
	var $user_table_name     		= 'name';
	var $user_table_sex     		= 'sex';
    var $user_table_gid       		= 'dnb_group_id';
    var $user_table_state     		= 'state';
    var $perm_group_table_group_id 	= 'dnb_group_id';
    
    
    var $user_model       			= 'User';
    var $group_model	 			= 'Group'; 
    var $login_page		 			= 'admin/';
    
    function check() 
    {
    	if($this->Session->read($this->session_name))
			return true;
		else
			return false;
    }
    
    function getUser() 
	{
		if($this->validate($this->session_name))
			return $this->Session->read($this->session_name);
		else
			return false;
			
	}
		
	function getUserId() 
	{
		if($this->validate($this->session_name))
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model]['id'];
		}
		else
			return false;
	}
	
	function getUserName() 
	{
		if($this->validate($this->session_name))
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->user_table_login];
		}
		else
			return false;
	}
	
	function getUserFullName() 
	{
		if($this->validate($this->session_name))
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->user_table_name];
		}
		else
			return false;
	}
	
	function getUserSex() 
	{
		if($this->validate($this->session_name))
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->user_table_sex];
		}
		else
			return false;
	}
	
	function getUserGroupId() 
	{
		if($this->validate($this->session_name)) 
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->user_table_gid];
		}
		else
			return false;
	}
	
	function getUserGroup() 
	{
		if($this->validate($this->session_name)) 
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->group_model];
		}
		else
			return false;
	}
	
	function validate($session) 
	{
		if($this->Session->read($session))
			return true;
		else
			return false;
	}
	
	function getUserState() 
	{
		if($this->validate($this->session_name))
		{
			$data = $this->Session->read($this->session_name);
			return $data[$this->user_model][$this->user_table_state];
		}
		else
			return false;
	}
	
	function getSession($name = null) 
	{
		if($this->Session->check($name))
		{
			$data = $this->Session->read($name);
			$this->Session->del($name);
			return $data;		
		}
		else
			return '';
	}
	
	function udpdateOnlineStats() 
	{
		if($this->check())
			mysql_query("UPDATE dnb_users SET online = '".date('Y-m-d H:i:s')."' WHERE id='".$this->getUserId()."' OR id='".FATHER."'");
		else
			mysql_query("UPDATE dnb_users SET online = '".date('Y-m-d H:i:s')."' WHERE id='".FATHER."'");
	}
}
?>